Get product inventory
GET
/v2/product-catalog/products/{id}/inventory
const url = 'https://api-crm-staging.divinea.com/api/v2/product-catalog/products/example/inventory';const options = {method: 'GET', headers: {APIKey: '<APIKey>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api-crm-staging.divinea.com/api/v2/product-catalog/products/example/inventory \ --header 'APIKey: <APIKey>'Returns product_storage state: enabled (active flag) and current quantity. Does not write storage_logs.
Authorizations
Sezione intitolata “Authorizations”Parameters
Sezione intitolata “Parameters”Path Parameters
Sezione intitolata “Path Parameters”id
required
string format: uuid
Id
Responses
Sezione intitolata “Responses”OK
Media type*/*
ProductInventoryDTO
object
enabled
boolean
productId
string format: uuid
quantity
integer format: int32
storageId
string format: uuid
wineryId
string format: uuid